import os

os.environ["TOKENIZERS_PARALLELISM"] = "true"
os.environ["PYTORCH_ENABLE_MPS_FALLBACK"] = "1"

## Server Configuration
EMBED_ENABLED = True                                # Enable Embedding Generation Server

## Model Behaviors
PRELOAD_MODEL = True								# If PRELOAD_MODELS is True, enabled generation functions will preload their corresponding models.
PROMPT_DOWNLOAD_ACK = True						    # If set to True, the console will prompt the admin locally whether to approve & download a model. If set to False, the request will be denied if the model hasn't been approved and an access error will be returned.

## Server Settings
SERVER_PORT = 8080
VALIDATE_PKI = True                                	# If VALIDATE_PKI is True, use environment variable "PKI_KEYFILE" to import public key
USE_SSL = True                                     	# If USE_SSL is True, use environment variables "CERTFILE" and "KEYFILE" to import cert files

## Debug/Logging Settings
DEBUG = True                                        # Output more debug messages
LOG_TOKEN_USAGE = False								# Enable token usage statistics for text embedding. This will result in a reduction of speed for text embedding.

## Embedding Generation Server Settings
EMBEDDING_MODEL = "all-MiniLM-L12-v2"				# (Embedding Gen) This model is used to compute embedding vectors.

EXP_FLAG = ""										# Internal flag: Do not use.